package com.gic.haoban.manage.api.dto.qdto.content;

import com.gic.api.base.commons.BasePageInfo;

/**
 * @Author MUSI
 * @Date 2023/3/29 9:55 AM
 * @Description
 * @Version
 **/
public class PotentialCustomerQDTO extends BasePageInfo {

    private static final long serialVersionUID = 1854515840082825892L;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 搜索字段
     */
    private String search;

    /**
     * 导购是否看过
     * 1已看过
     * 0未看过
     */
    private Integer seeFlag;

    /**
     * 是否导购星标客户
     * 1 与导购是星标
     */
    private Integer starFlag;

    /**
     * 导购与会员是否 企微好友
     * 1 是好友; 0不是
     */
    private Integer hasMemberRelation;

    /**
     * 会员是否有过成交
     * 1 有过成交
     */
    private Integer dealRecord;

    /**
     * 1 会员有手机号
     */
    private Integer hasMemberPhone;

    /**
     * 1 按客户搜索
     * 2 按素材搜索
     * @see com.gic.haoban.manage.api.enums.content.InteractRecordSearchType
     */
    private Integer searchType;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getSeeFlag() {
        return seeFlag;
    }

    public void setSeeFlag(Integer seeFlag) {
        this.seeFlag = seeFlag;
    }

    public Integer getStarFlag() {
        return starFlag;
    }

    public void setStarFlag(Integer starFlag) {
        this.starFlag = starFlag;
    }

    public Integer getHasMemberRelation() {
        return hasMemberRelation;
    }

    public void setHasMemberRelation(Integer hasMemberRelation) {
        this.hasMemberRelation = hasMemberRelation;
    }

    public Integer getDealRecord() {
        return dealRecord;
    }

    public void setDealRecord(Integer dealRecord) {
        this.dealRecord = dealRecord;
    }

    public Integer getHasMemberPhone() {
        return hasMemberPhone;
    }

    public void setHasMemberPhone(Integer hasMemberPhone) {
        this.hasMemberPhone = hasMemberPhone;
    }

    public Integer getSearchType() {
        return searchType;
    }

    public void setSearchType(Integer searchType) {
        this.searchType = searchType;
    }
}
